## bidict 0.21.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/bidict.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/bidict.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/bidict"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/bidict"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## bidict 0.18.0

=== debian/changelog ===
bidict (0.18.0-2) unstable; urgency=medium

  * Team upload.
  * Uploading to unstable.

 -- Ondřej Nový <onovy@debian.org>  Wed, 14 Aug 2019 17:59:48 +0200

bidict (0.18.0-1) experimental; urgency=medium

  * Initial release (Closes: #932216)

 -- William Grzybowski <william@grzy.org>  Wed, 14 Aug 2019 13:06:09 +0200

=== debian/control ===
Source: bidict
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <team+python-modules@tracker.debian.org>
Uploaders: William Grzybowski <william@grzy.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx,
# tests
               python3-hypothesis,
               python3-pytest,
               python3-pytest-benchmark,
               python3-sortedcollections,
               python3-sortedcontainers
Standards-Version: 4.4.0
Homepage: https://bidict.readthedocs.io
Vcs-Browser: https://salsa.debian.org/python-team/modules/bidict
Vcs-Git: https://salsa.debian.org/python-team/modules/bidict.git
Testsuite: autopkgtest-pkg-python

Package: python3-bidict
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
Description: Bidirectional map data structures and related functionality
 Features:
  - has carefully designed APIs for safety, simplicity, flexibility,
    and ergonomics
  - is CPython-, PyPy-, Python 2-, and Python 3-compatible
  - has extensive test coverage (including property-based tests and benchmarks)
    run continuously on all supported Python versions and OSes
  - integrates natively with Python’s collections interfaces
  - is implemented in concise, well-factored, well-documented pure Python that
    leverages a number of advanced language features

## bidict 0.18.2

=== debian/changelog ===
bidict (0.18.2-1) unstable; urgency=medium

  * New upstream release
  * d/control: remove line about compatible python versions from description
  * d/patches: reapply patch 0002 catching up upstream changes

 -- William Grzybowski <william@grzy.org>  Tue, 17 Sep 2019 13:41:16 -0300

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,6 @@
  Features:
   - has carefully designed APIs for safety, simplicity, flexibility,
     and ergonomics
-  - is CPython-, PyPy-, Python 2-, and Python 3-compatible
   - has extensive test coverage (including property-based tests and benchmarks)
     run continuously on all supported Python versions and OSes
   - integrates natively with Python’s collections interfaces

## bidict 0.21.2

=== debian/changelog ===
bidict (0.21.2-2) unstable; urgency=medium

  * Team Upload.
  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Håvard Flaget Aasen ]
  * Remove regenerated file by scm. Closes: #978282
  * New upstream version 0.21.2
  * d/patches:
    - Rebase patches
    - Add 0004-drop-intersphinx.patch
  * d/control: Update Standards-Version to 4.5.1
  * d/copyright:
    - Add Upstream-Contact
    - Update copyright holders year and email
  * d/gbp.conf: New file, change default branch to debian/master

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sun, 27 Dec 2020 16:48:26 +0100

bidict (0.21.0-1) unstable; urgency=medium

  * New upstream version 0.21.0 Closes: #963380
  * Rebase patches
  * d/control:
    - Add python3-sphinx-autodoc-typehints as Build-Depends
    - Add Rules-Requires-Root: no
    - Bump debhelper to 13
    - Update Standards-Version to 4.5.0
    - Change to Debian Python Team as maintainer
  * d/*.links: add entry to link duplicated file

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Fri, 04 Sep 2020 11:22:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: bidict
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <team+python-modules@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: William Grzybowski <william@grzy.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx,
+               python3-sphinx-autodoc-typehints,
 # tests
                python3-hypothesis,
                python3-pytest,
                python3-pytest-benchmark,
                python3-sortedcollections,
                python3-sortedcontainers
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://bidict.readthedocs.io
-Vcs-Browser: https://salsa.debian.org/python-team/modules/bidict
-Vcs-Git: https://salsa.debian.org/python-team/modules/bidict.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/bidict
+Vcs-Git: https://salsa.debian.org/python-team/packages/bidict.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-bidict

=== debian/watch ===
version=4
https://pypi.debian.net/bidict/bidict-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## bidict 0.21.3

=== debian/changelog ===
bidict (0.21.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.21.3
  * Rebase patches.
  * d/control:
    - Drop obsolete build-dependency.
    - Update Standards-Version to 4.6.0
  * d/copyright: Update copyright year.
  * d/clean: Update file.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Tue, 21 Sep 2021 03:48:30 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,14 @@
                dh-python,
                python3-all,
                python3-setuptools,
-               python3-setuptools-scm,
                python3-sphinx,
-               python3-sphinx-autodoc-typehints,
 # tests
                python3-hypothesis,
                python3-pytest,
                python3-pytest-benchmark,
                python3-sortedcollections,
                python3-sortedcontainers
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://bidict.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/python-team/packages/bidict

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=bidict
export PYBUILD_AFTER_TEST=rm -rf .pytest_cache

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html docs \
		$(CURDIR)/debian/python3-bidict/usr/share/doc/python3-bidict/html
	dh_sphinxdoc
endif

## bidict 0.22.1

=== debian/changelog ===
bidict (0.22.1-2) unstable; urgency=medium

  * Team upload.
  * Add patch to support Python 3.12 Closes: #1056230
  * Make build reproducible.
    Thanks to Chris Lamb for patch Closes: #1055920
  * Update patch to handle privacy breach.
    - Rename patch to '0002-Handle-privacy-breach-in-docs.patch'.
    - Remove 'docs/_static/custom.js'.
 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Mon, 27 Nov 2023 11:37:22 +0100

bidict (0.22.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Drop patch 0003-Do-not-install-custom.js-for-codefund.app-because-of.patch,
    superseded upstream.
  * Switch watch file to github tags.
  * Patch: Help setuptools find the package.
  * Build-Depend on python3-pytest-xdist.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 03 Feb 2023 19:50:55 -0400

bidict (0.22.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Patches:
    - Rebase patches.
    - Drop 0001-Disable-alabaster-theme-and-some-options-to-avoid-pr.patch
  * Mark BD's related to tests with <!nocheck>.
  * Add python3-sphinx-copybutton and furo as BD for documentation, and
    pybuild-plugin-pyproject.
  * Update Standards-Version to 4.6.2, no changes needed.
  * Split out documentation to a separate package.
  * d/copyright:
    - Update file location for upstream logo.
    - Update copyright year.
  * Run wrap-and-sort -at
  * Add upstream testsuite as autopkgtest.
  * Disable benchmarks when running testsuite.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sun, 08 Jan 2023 17:02:32 +0100

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=bidict
export PYBUILD_AFTER_TEST=rm -rf .pytest_cache
export PYBUILD_TEST_ARGS=--benchmark-disable

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html docs \
		$(CURDIR)/debian/python-bidict-doc/usr/share/doc/python-bidict-doc/html
	dh_sphinxdoc
	rm -f $(CURDIR)/debian/python-bidict-doc/usr/share/doc/python-bidict-doc/html/_static/custom.js
endif

execute_after_dh_auto_test:
	find .pybuild -type d -name .pytest_cache -print0 | xargs -0r rm -rfv

=== debian/tests/control ===
Tests: upstream-unittest
Depends: python3-all,
         python3-bidict,
         python3-hypothesis,
         python3-pytest,
         python3-pytest-benchmark,
         python3-pytest-xdist,
         python3-sortedcollections,
         python3-sortedcontainers,

## bidict 0.23.1

=== debian/changelog ===
bidict (0.23.1-2) unstable; urgency=medium

  * Team upload.
  * d/tests/control: Add python3-typing-extensions as Dependency.

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 21 Apr 2024 20:42:31 -0300

bidict (0.23.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/patches: Update 0002-Handle-privacy-breach-in-docs.patch and
    0004-drop-intersphinx.patch patches according to the new upstream code.
    - Remove 0003-Declare-packages-in-setup.cfg.patch and 0005-python3.12.patch
      patches, they are not longer needed.
  * d/control: Add python3-typing-extensions as B-Depends.

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 21 Apr 2024 14:24:12 -0300

=== debian/control ===
Source: bidict
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: William Grzybowski <william@grzy.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               furo,
               pybuild-plugin-pyproject,
               python3-all,
               python3-hypothesis <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-benchmark <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-setuptools,
               python3-sortedcollections <!nocheck>,
               python3-sortedcontainers <!nocheck>,
               python3-sphinx,
               python3-sphinx-copybutton,
               python3-typing-extensions <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://bidict.readthedocs.io
Vcs-Browser: https://salsa.debian.org/python-team/packages/bidict
Vcs-Git: https://salsa.debian.org/python-team/packages/bidict.git

Package: python3-bidict
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Suggests: python-bidict-doc,
Description: Bidirectional map data structures and related functionality
 Features:
  - has carefully designed APIs for safety, simplicity, flexibility,
    and ergonomics
  - has extensive test coverage (including property-based tests and benchmarks)
    run continuously on all supported Python versions and OSes
  - integrates natively with Python’s collections interfaces
  - is implemented in concise, well-factored, well-documented pure Python that
    leverages a number of advanced language features

Package: python-bidict-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Bidirectional map data structures and related functionality - documentation
 Features:
  - has carefully designed APIs for safety, simplicity, flexibility,
    and ergonomics
  - has extensive test coverage (including property-based tests and benchmarks)
    run continuously on all supported Python versions and OSes
  - integrates natively with Python’s collections interfaces
  - is implemented in concise, well-factored, well-documented pure Python that
    leverages a number of advanced language features
 .
 This package contains the HTML documentation.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_TEST_ARGS=--benchmark-disable
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
--- 
+++ 
@@ -7,3 +7,4 @@
          python3-pytest-xdist,
          python3-sortedcollections,
          python3-sortedcontainers,
+         python3-typing-extensions,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/jab/bidict/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
